package com.gyee.wisdom.dao.system;

import com.gyee.wisdom.common.data.system.model.Menu;

import java.util.List;

public interface IMenuDao {

    void add(Menu menu);

    void update(Menu menu);

    Menu get(String id);

    boolean contains(String id);

    List<Menu> list();

    void remove(String id);

    void switchStatus(String id, boolean disabled);

    List<Menu> roleMenus(String roleId);

    List<Menu> getNavMenus(String userId);

    void UpdateMenuAndRole(String menuId, List<String> rids);


}
